1

I want to install magento 2.3.5-p1 community edition on ubuntu 16.04 but when i am extracting directory to my location of htdocs by creating new folder of M2 and going to install magento but it still giving me below error:

Fatal error: Uncaught ReflectionException: Class Magento\Framework\App\ResourceConnection\Proxy does not exist in /opt/lampp/htdocs/M2/vendor/magento/framework/Code/Reader/ClassReader.php:26 Stack trace: #0 /opt/lampp/htdocs/M2/vendor/magento/framework/Code/Reader/ClassReader.php(26): ReflectionClass->__construct('Magento\Framewo...') #1 /opt/lampp/htdocs/M2/vendor/magento/framework/ObjectManager/Definition/Runtime.php(54): Magento\Framework\Code\Reader\ClassReader->getConstructor('Magento\Framewo...') #2 /opt/lampp/htdocs/M2/vendor/magento/framework/ObjectManager/Factory/Dynamic/Developer.php(48): Magento\Framework\ObjectManager\Definition\Runtime->getParameters('Magento\Framewo...') #3 /opt/lampp/htdocs/M2/vendor/magento/framework/ObjectManager/ObjectManager.php(70): Magento\Framework\ObjectManager\Factory\Dynamic\Developer->create('Magento\Framewo...') #4 /opt/lampp/htdocs/M2/vendor/magento/framework/ObjectManager/Factory/AbstractFactory.php(167): Magento\Framework\ObjectManager\ObjectManager->get('Magento\Framewo in /opt/lampp/htdocs/M2/vendor/magento/framework/Code/Reader/ClassReader.php on line 26

3
  • 1
    try setting up permission for the correct user – Pramod Jul 6 '20 at 12:04
  • What PHP version are you using ? – Abdul Pathan Jul 6 '20 at 12:20
  • Thank you Chikku i have solved this permission problem – Deep Shah Jul 6 '20 at 13:11

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.